Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.

Bug 1317896

Summary: python-zope-processlifetime: Provide a Python 3 subpackage
Product: [Fedora] Fedora Reporter: Tomas Orsava <torsava>
Component: python-zope-processlifetimeAssignee: Ralph Bean <rbean>
Status: CLOSED RAWHIDE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 25CC: rbean, ylitalo.petri
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2016-07-27 20:09:25 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Embargoed:
Bug Depends On:    
Bug Blocks: 1285816, 1312032    
Attachments:
Description Flags
Patch for python-zope-processlifetime.spec
none
Revised patch for python-zope-processlifetime specfile
none
PY3 port patch none

Description Tomas Orsava 2016-03-15 13:03:20 UTC
Upstream, this software supports Python 3. Please provide a Python 3
package for Fedora.


According to the Python packaging guidelines [0], software must be
packaged for Python 3 if upstream supports it.
The guidelines give detailed information on how to do this, and even
provide an example spec file [1].

The current best practice is to provide subpackages for the two Python
versions (called "Common SRPM" in the guidelines). Alternatively, if
nothing depends on your Python2 package, you can just switch to Python 3
entirely.

It's ok to do this in Rawhide only, however, it would be greatly
appreciated if you could push it to Fedora 24 as well.


If anything is unclear, or if you need any kind of assistance with the
porting, you can ask on IRC (#fedora-python on Freenode), or reply here.
We'll be happy to help!


[0] https://fedoraproject.org/wiki/Packaging:Python
[1] https://fedoraproject.org/wiki/Packaging:Python#Example_common_spec_file

Comment 1 Petri Ylitalo 2016-07-20 12:17:44 UTC
Created attachment 1182100 [details]
Patch for python-zope-processlifetime.spec

Hi,

This is my first patch submitted to Bugzilla. I hope everything is in order. I built and tested it on F23, also ran a mock build. I did't find any simple way to test functionality but comparing to previous version the files appeared to be in the right places for python3. Please review the patch and push it if it's ok.

Thanks,
Petri

Comment 2 Petri Ylitalo 2016-07-21 05:57:17 UTC
Created attachment 1182319 [details]
Revised patch for python-zope-processlifetime specfile

Realised that I did not include python2 in the first patch. This one follows porting guide lines.

Comment 3 Petri Ylitalo 2016-07-23 08:21:25 UTC
Created attachment 1183061 [details]
PY3 port patch

Corrected %changelog entries

Comment 4 Jan Kurik 2016-07-26 04:58:00 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 25 development cycle.
Changing version to '25'.

Comment 5 Ralph Bean 2016-07-27 20:09:25 UTC
Looks good to me.  Thanks!

I made a few adjustments to your patch to use some of the modern python macros:

http://pkgs.fedoraproject.org/cgit/rpms/python-zope-processlifetime.git/commit/?id=e004f02c11b1b8b763220e8360e873b34924a746

Thanks again!